package genesom;


public class ProportionContextFunction
  extends SOMDecayFunction
{
  public ProportionContextFunction() { }

  public ProportionContextFunction(double from, double to) {
    super(from,to);
  }

  public ProportionContextFunction(double from, double to, double eta) {
    super(from, to, eta);
  }


  // set methods 2b called by property intitialization

  public void setPattern_context_proportion_from(double d) { from = d; }
  public double getPattern_context_proportion_from() { return from; }

  public void setPattern_context_proportion_to(double d) { to = d; }
  public double getPattern_context_proportion_to() { return to; }

  public void setPattern_context_proportion_eta(double d) { eta = d; }
  public double getPattern_context_proportion_eta() { return eta; }

  public void setPattern_context_proportion_model(String dm) {
    setDecayModel(dm);
  }
}
